Überwachung von Arbeits-/Schutzräumen (C14)

1.1 KurzbeschreibungPAGEREF _Toc304471904 \h2

1.2 Beschreibung 5

1.2.1 Standardüberwachung für Achsen 5

1.2.2 Eigenschaften der Arbeits-/Schutzraumüberwachung 5

1.3 Programmierung 6

1.3.1 Arbeits- und Schutzräume definieren 11

1.3.2 Arbeits- und Schutzräume aktivieren 11

1.3.3 Arbeits- und Schutzräume deaktivieren 11

1.3.4 Arbeits- und Schutzräume löschen 11

Mehr:

button Kurzbeschreibung

button Beschreibung

button Programmierung


Kurzbeschreibung

Aufgabe

Überwachen von 3-D Körpern durch die Definition von Arbeits- oder Schutzräumen in zylindrischer oder polygoner Form mit einer konstanten Höhe.

Wirksamkeit

Arbeits- oder Schutzräume werden über den Befehl #CONTROL AREA definiert, aktiviert bzw. deaktiviert. Nach einem Reset sind alle Arbeits-/Schutzräume deaktiviert. Die Überwachung bezieht sich immer auf die aktuellen drei Hauptachsen eines Kanals. Arbeits- oder Schutzräume werden jeweils kanalspezifisch programmiert und wirksam.

Die Arbeits-/Schutzraumüberwachung ist möglich bei:

q Linearen Bewegungssätzen

q Zirkularen Bewegungssätzen (gleich in welcher Orientierung G17/G18/ G19).

q Kinematischen Transformationen (Überwachung des Werkzeugmittelpunktes).

q Polynomüberschleifen (Überwachung der je nach Dynamik und Steigung berechneten Stützpunkte für das Polynom).

q Helikale Bewegungen.

q Bezugspunktverschiebungen mit G92.

Ausgeschlossen sind:

q Kartesische Transformationen ( #(A)CS )

q Handbetrieb

Parametrierung

Arbeits-/Schutzräume werden direkt im NC Programm durch #-Befehle kanalspezifisch parametriert.

Beauftragung

Aktivierung und Deaktivierung von Arbeits-/Schutzräumen erfolgt ebenfalls im NC-Programm durch #-Befehle.


Beschreibung

Mehr:

button Standardüberwachung für Achsen

button Eigenschaften der Arbeits-/Schutzraumüberwachung


Standardüberwachung für Achsen

Softwareendschalter

Bisher können zur Arbeitsraumüberwachung achsspezifische Softwareendschalter verwendet werden. Bei jeder Achse kann ein minimaler und ein maximaler Grenzwert festgelegt werden, um den Verfahrbereich einer Achse zu begrenzen. Die Position der Softwareendschalter kann durch Parametrierung in der Achskonfigurationsliste [AXIS] oder direkt im NC-Programm definiert werden.

Abbildung 1-1: Softwareendschalter


Eigenschaften der Arbeits-/Schutzraumüberwachung

Arbeitsräume /
Schutzräume

Ein Arbeitsraum ist definiert als eine Zone, welche vom TCP nicht verlassen werden darf. Ein Schutzraum hingegen darf niemals vom TCP berührt werden. Arbeitsräume und Schutzräume können beliebig ineinander verschachtelt werden. Bei Verschachtelungen von Areas wird Schutzraumüberwachung dominat gegenüber der Arbeitsraumüberwachung behandelt.

Abbildung 1-2: Definition von Arbeits-/Schutzräumen

Überwachungsräume als 3 D Körper

Ein Arbeits-/Schutzraum wird definiert durch einen drei dimensionalen Körper im Raum. Es stehen grundsätzlich zwei unterschiedliche Geometrien zur Verfügung. Es können Kreise oder Polygone mit einer dritten, konstanten Dimension definiert werden.

Zylinder werden durch einen Vollkreis in der Basisebene definiert.

Polygone können in der Basisebene beliebig komplex sein. Einzig die konvexe Form (in sich geschlossener Kettenzug ohne Überschneidungen) ist zwingend. Die X/Y/Z Koordinaten der Überwachungsräume werden direkt auf die drei Hauptachsen der Kanalkonfiguration bezogen.

Beispiel X/Y-Basisebene (G17):

X à Erste Hauptachse

Y à Zweite Hauptachse

Z à Dritte Hauptachse (konstant durch Min/Maxwerte)

Abbildung 1-3: Beispiel für falschen und richtigen Polygonzug

Überwachungsräume werden immer aus Sicht der drei Hauptachsen der Kanalkonfiguration definiert (kartesisch).

Abbildung 1-4: Definition von Überwachungsräumen als 3D Körper

Abbildung 1-5: Beispiel einer Applikation

Pfadüberprüfung

Bei der Arbeits-/Schutzraumüberwachung wird der Pfad zwischen Startpunkt und Endpunkt auf eine Verletzung überprüft. Bei normalen linearen und zirkularen Bewegungssätzen werden über Gleichungen Schnittpunkte mit den definierten Überwachungsräumen gesucht. Bei eingeschaltetem Polynomüberschleifen oder bei Helikalbewegungen hingegegen wird zuerst eine Segmentierung der Bahn durchgeführt und anschließend die einzelnen Punkte geprüft. Dadurch wird für diese erheblich mehr Rechenaufwand benötigt.

Abbildung 1-6: Pfadüberprüfung bei der Raumüberwachung


Programmierung

Definition und
Aktivierung

Die Definition und Aktivierung von Arbeits- und Schutzräumen erfolgt direkt im NC-Programm. Für diesen Zweck stehen unterschiedliche #-Befehle zur Verfügung. Mit #CONTROL AREA wird ein solcher Arbeits-/ Schutzraumbefehl eingeleitet. Je nach kommandiertem #-Befehl werden anschließend unterschiedliche Optionen erwartet.

Im folgenden Diagramm Abbildung 1-7 werden alle möglichen Zustände für einen einzelnen Überwachungsraum dargestellt. Der Begriff "nop" steht im Diagramm für No Operation und damit für einen direkten Zustandswechsel.

Abbildung 1-7: Zustandsänderungen durch #CONTROL AREA-Befehle

Reset der Steuerung

Bei einem Reset der Steuerung werden die gespeicherten Arbeits-/ Schutzräume nicht gelöscht. Sie werden nur deaktiviert und können über Ihre ID jederzeit wieder aktiviert werden. Zum expliziten Löschen von Arbeits-/ Schutzräumen kann der Clearbefehl verwendet werden.

Mehr:

button Arbeits- und Schutzräume definieren

button Arbeits- und Schutzräume aktivieren

button Arbeits- und Schutzräume deaktivieren

button Arbeits- und Schutzräume löschen


Arbeits- und Schutzräume definieren

Zeitpunkt der
Definition

Bei Hochlauf der Steuerung sind keine Arbeits-/ Schutzräume vordefiniert. Eine Definition in den Konfigurationslisten ist derzeit nicht möglich. Arbeits-/ Schutzräume werden ausschließlich direkt im NC-Programm definiert.

Der NC-Befehl zur Definition eines Überwachungsraumes umfaßt die Syntaxelemente:

#CONTROL AREA START | END [ ID <expr> WORK | PROTPOLY | CIRC

MIN_EXCUR <expr> MAX_EXCUR <expr> ] (modal)

ID <expr> | Eindeutige Kennung zum Identifizieren der unterschiedlichen Arbeits- und Schutzräume.
WORK | PROT | Unterscheidung, ob es sich um die Definition eines Arbeitsraumes (WORK) oder Schutzraumes (PROT) handelt.
POLY | CIRC | Unterscheidung, ob die geometrische Grundform des Arbeits- oder Schutzraumes polygonförmig (POLY) oder kreisförmig (CIRC) ist.
MIN_EXCUR <expr> | Untere Grenze der Ausdehnung in der dritten Dimension.
MAX_EXCUR <expr> | Obere Grenze der Ausdehnung in der dritten Dimension.

Sequenz der NC-Befehle zur Definition eines Arbeits-/Schutzraumes

Jede Überwachungsraumdefinition beginnt mit #CONTROL AREA START und muß mit #CONTROL AREA END abgeschlossen sein. Zwischen diesen diesen Befehlen wird die geometrische Grundform des Arbeits- oder Schutzraumes durch DIN 66025 Fahrbefehle programmiert. Dabei muss ein gültiger Vorschub (F-Wort) aktiv sein.

Je nach konfigurierter geometrischer Form wird bei zylindrischen Überwachungsräumen ein G02 oder G03 und bei einem polygonförmigen ein G01 mit entsprechenden Fahrsätzen erwartet.

Alle Positionsangaben bei der Definition des Überwachungsraums müssen absolut (G90) programmiert werden!

Polygonförmige
Überwachungsräume

"POLY"

Durch eine Folge von linearen NC-Fahrbefehlen wird ein zwei dimensionales Polygon definiert. Die Punktfolge wird auf einen konvexen Verlauf geprüft. Das heißt, Verbindungen zwischen zwei nebenanderliegenden Punkten dürfen sich nicht schneiden. Für die dritte Dimension (dritte Hauptachse) wird die minimale und maximale Begrenzung beim Startbefehl definiert.

Erster und letzer Punkt identisch

Bei der Definition von polygonförmigen Überwachungsräumen ist zu beachten, dass der erste und der letzte Punkt identisch sein müssen. Durch diesen Regel wird sichergestellt, dass eine geschlossene Kontur als Polygon angegeben wurde.

Definition eines polygonförmigen Arbeitsraumes:

Programmierbeispiel

N10 #CONTROL AREA START [ID3 WORK POLY MIN_EXCUR=-50 MAX_EXCUR=50]

N20 G01 F1000 G90 X-150 Y75 (Startpunkt)

N30 X-50 Y150

N40 X50 Y150

N50 X150 Y75

N60 X150 Y0

N70 X50 Y0

N80 X50 Y75

N90 X-50 Y75

N100 X-50 Y0

N120 X-150 Y0

N130 X-150 Y75 (Endpunkt identisch mit Startpunkt)

N140 #CONTROL AREA END

Zylindrische
Überwachungsräume

"CIRC"

Bei der Definition von zylindrischen Überwachungsräumen werden entsprechend DIN 66025 zwei NC-Fahrbefehle benötigt. Der erste Fahrbefehl definiert den Startpunkt des Vollkreises und damit die absolute Position des Überwachungsraumes. Als zweiter Fahrbefehl wird zwingend ein zirkularer NC-Fahrbefehl (G02/G03) erwartet. Für die dritte Dimension (dritte Hauptachse) wird die minimale und maximale Begrenzung beim Startbefehl definiert.

Definition eines zylindrischen Schutzraumes:

Programmierbeispiel

N10 #CONTROL AREA START [ID4 PROT CIRC MIN_EXCUR=-70 MAX_EXCUR=70]

N20 G01 X100 Y0 F10000 (Startpunkt für zylindrischen Schutzraum)

N30 G02 G162 I50 J0

N40 #CONTROL AREA END

Überwachungsräume
überschreiben

Ein Überwachungsraum kann durch erneutes Programmieren der gleichen ID überschrieben werden. Vorraussetzung ist allerdings, dass der Überwachungsraum mit dieser ID zu diesem Zeitpunkt nicht aktiviert ist.


Arbeits- und Schutzräume aktivieren

Befehle zur Anwahl

Der Werkzeug-TCP wird auf Verletzungen mit allen aktivierten Arbeits- und Schutzräumen geprüft. Überwachungsräume können entweder einzeln über die eindeutige ID oder alle auf einmal aktiviert werden.

Beim Aktivieren von Arbeitsräumen muss sich der TCP bereits im gültigen Arbeitsraum befinden. Ebenso darf beim Aktivieren von einem Schutzraum der TCP auf der aktuellen Position keine Verletzung hervorrufen.

Der NC-Befehl zur Anwahl eines Überwachungsraumes umfaßt die Syntaxelemente:

#CONTROL AREA ON [ALL] | [ ID<expr>] (modal)

ID <expr> | Eindeutige Kennung zum Identifizieren der unterschiedlichen Arbeits- und Schutzräume.
ALL | Alle derzeit definierten Arbeits- und Schutzräume werden aktiviert.

Programmierbeispiel

#CONTROL AREA ON [ID3] (Aktiviere spezifischen Ü.-raum)

#CONTROL AREA ON ALL (Aktiviere alle definierten Ü.-räume)


Arbeits- und Schutzräume deaktivieren

Befehle zur Abwahl

Deaktivierte Überwachungsräume werden von der Überwachung nicht auf eine Verletzung geprüft. Sie sind bis zum Löschen oder dem Herunterfahren der Steuerung gespeichert und können jederzeit erneut aktiviert werden.

Der NC-Befehl zur Abwahl eines Überwachungsraumes umfaßt die Syntaxelemente:

#CONTROL AREA OFF [ [ALL] | [ ID<expr>] ] (modal)

ID <expr> | Eindeutige Kennung zum Identifizieren der unterschiedlichen Arbeits- und Schutzräume.
ALL | Alle derzeit definierten Arbeits- und Schutzräume werden deaktiviert.

Programmierbeispiel

#CONTROL AREA OFF [ID3] (Deaktiviere spezifischen Ü.-raum)

#CONTROL AREA OFF (Deaktiviere zuletzt angewählten Ü.-raum)

#CONTROL AREA OFF ALL (Deaktiviere alle aktiven Ü.-räume)


Arbeits- und Schutzräume löschen

Befehle zum Löschen

Informationen von gelöschte Überwachungsräumen sind unwiderruflich verloren. Der belegte Speicherplatz wird anschließend freigegeben um neue Überwachungsräume definieren zu können. Gelöscht werden können nur deaktivierte Überwachungsräume.

Der NC-Befehl zum Löschen eines Überwachungsraumes umfaßt die Syntaxelemente:

#CONTROL AREA CLEAR [ALL] | [ ID<expr>] (modal)

ID <expr> | Eindeutige Kennung zum Identifizieren der unterschiedlichen Arbeits- und Schutzräume.
ALL | Alle derzeit definierten Arbeits- und Schutzräume werden gelöscht und der Speicherplatz für neue Definitionen freigegeben.

Programmierbeispiel

#CONTROL AREA CLEAR [ID3] (Lösche spezifischen Ü.-raum)

#CONTROL AREA CLEAR ALL (Lösche alle definierten Ü.-räume)